Bug 50862 - Installer shows bug error when trying to configure monitor
Installer shows bug error when trying to configure monitor
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-03 20:01 EDT by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-10 12:02:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-03 20:01:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
every time i install the monitor i get the report bug screen.  I've tried 
putting in the specs manually, choosing the proper monitor from the list 
and using the generic option.  same results ending with being unable to 
install os

How reproducible:
Always

Steps to Reproduce:
1.follow install instructions to point of choosing monitor
2.choose monitor or manually input specs
3.hit next and get bug message
	

Actual Results:  get bug message click ok and system reboots to reinstall 

Expected Results:  monitor setting should have been accepted and install 
should have continued

Additional info:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 391, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 879, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 500, in 
nextClicked
    self.setScreen (self.currentScreen, self.nextClicked)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 610, in 
setScreen
    new_screen = screen.getScreen ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/xconfig_gui.py", line 
320, in getScreen
    self.swap_monitor (location)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/xconfig_gui.py", line 
124, in swap_monitor
    self.hbox.remove (self.pix_align)
AttributeError: pix_align

Local variables in innermost frame:
num: 2
self: <xconfig_gui.XCustomWindow instance at 8507900>

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
NsS'setupFilesystems'
p5
I1
sS'monitorVsync'
p6
S'50-70'
p7
sS'videoCardStateNode'
p8
S''
sS'serial'
p9
I0
sS'ddruidReadOnly'
p10
I0
sS'bootdisk'
p11
I1
sS'videoRamState'
p12
I4
sS'monitorOriginalName'
p13
S'Unprobed Monitor'
p14
sS'language'
p15
(itodo
Language
(dp16
S'langInfoByName'
p17
(dp18
S'Arabic (Yemen)'
p19
(S'ar_YE'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Argentina)'
p20
(S'es_AR'
S'iso01'
S'lat0-sun16'
tsS'Italian (Italy)'
p21
(S'it_IT@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Lebanon)'
p22
(S'ar_LB'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Guatemala)'
p23
(S'es_GT'
S'iso01'
S'lat0-sun16'
tsS'Malay (Malaysia)'
p24
(S'ms_MY'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Libyan Arab Jamahiriya)'
p25
(S'ar_LY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Oman)'
p26
(S'ar_OM'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Iraq)'
p27
(S'ar_IQ'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Kuwait)'
p28
(S'ar_KW'
S'iso06'
S'LatArCyrHeb-16'
tsS'English (South Africa)'
p29
(S'en_ZA'
S'iso01'
S'lat0-sun16'
tsS'French (Switzerland)'
p30
(S'fr_CH'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Bahrein)'
p31
(S'ar_BH'
S'iso06'
S'LatArCyrHeb-16'
tsS'Croatian'
p32
(S'hr_HR'
S'iso02'
S'lat2-sun16'
tsS'French (France)'
p33
(S'fr_FR@euro'
S'iso15'
S'lat0-sun16'
tsS'Greenlandic (Greenland)'
p34
(S'kl_GL'
S'iso01'
S'lat0-sun16'
tsS'Korean (Republic of Korea)'
p35
(S'ko_KR.euckr'
S'iso01'
S'lat0-16'
tsS'Ukrainian'
p36
(S'uk_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Spanish (Mexico)'
p37
(S'es_MX'
S'iso01'
S'lat0-sun16'
tsS'Greek'
p38
(S'el_GR'
S'iso07'
S'gr.f16'
tsS'Spanish (El Salvador)'
p39
(S'es_SV'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Peru)'
p40
(S'es_PE'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Honduras)'
p41
(S'es_HN'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Costa Rica)'
p42
(S'es_CR'
S'iso01'
S'lat0-sun16'
tsS'English (Denmark)'
p43
(S'en_DK'
S'iso01'
S'lat0-sun16'
tsS'Dutch (Netherlands)'
p44
(S'nl_NL@euro'
S'iso15'
S'lat0-sun16'
tsS'Serbian (Yugoslavia)'
p45
(S'sr_YU@cyrillic'
S'iso05'
S'cyr-sun16'
tsS'Russian (Ukraine)'
p46
(S'ru_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Portuguese (Portugal)'
p47
(S'pt_PT@euro'
S'iso15'
S'lat0-sun16'
tsS'Afrikaans (South Africa)'
p48
(S'af_ZA'
S'iso01'
S'lat0-sun16'
tsS'Norwegian'
p49
(S'no_NO'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Morocco)'
p50
(S'ar_MA'
S'iso06'
S'LatArCyrHeb-16'
tsS'English (Philippines)'
p51
(S'en_PH'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Algeria)'
p52
(S'ar_DZ'
S'iso06'
S'LatArCyrHeb-16'
tsS'Indonesian'
p53
(S'id_ID'
S'iso01'
S'lat0-sun16'
tsS'Danish'
p54
(S'da_DK'
S'iso01'
S'lat0-sun16'
tsS'Chinese (Taiwan R.O.C.)'
p55
(S'zh_TW.euctw'
S'iso01'
S'lat0-16'
tsS'Faroese (Faroe Islands)'
p56
(S'fo_FO'
S'iso01'
S'lat0-sun16'
tsS'Galician (Spain)'
p57
(S'gl_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'English (New Zealand)'
p58
(S'en_NZ'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Bolivia)'
p59
(S'es_BO'
S'iso01'
S'lat0-sun16'
tsS'Cornish (Britain)'
p60
(S'kw_GB'
S'iso01'
S'lat0-sun16'
tsS'Arabic (United Arab Emirates)'
p61
(S'ar_AE'
S'iso06'
S'LatArCyrHeb-16'
tsS'German (Austria)'
p62
(S'de_AT@euro'
S'iso15'
S'lat0-sun16'
tsS'Romanian'
p63
(S'ro_RO'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Paraguay)'
p64
(S'es_PY'
S'iso01'
S'lat0-sun16'
tsS'Hebrew (Israel)'
p65
(S'he_IL'
S'iso08'
S'LatArCyrHeb-16'
tsS'English (USA)'
p66
(S'en_US'
p67
S'iso01'
p68
S'lat0-sun16'
p69
tsS'Spanish (USA)'
p70
(S'es_US'
S'iso01'
S'lat0-sun16'
tsS'Portuguese (Brasil)'
p71
(S'pt_BR'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Equador)'
p72
(S'es_EC'
S'iso01'
S'lat0-sun16'
tsS'Polish'
p73
(S'pl_PL'
S'iso02'
S'lat2-sun16'
tsS'Slovak'
p74
(S'sk_SK'
S'iso02'
S'lat2-sun16'
tsS'Macedonian'
p75
(S'mk_MK'
S'iso05'
S'cyr-sun16'
tsS'Spanish (Spain)'
p76
(S'es_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Chile)'
p77
(S'es_CL'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Syrian Arab Republic)'
p78
(S'ar_SY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Czech'
p79
(S'cs_CZ'
S'iso02'
S'lat2-sun16'
tsS'Irish'
p80
(S'ga_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Jordan)'
p81
(S'ar_JO'
S'iso06'
S'LatArCyrHeb-16'
tsS'Italian (Switzerland)'
p82
(S'it_CH'
S'iso01'
S'lat0-sun16'
tsS'German (Belgium)'
p83
(S'de_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Albanian'
p84
(S'sq_AL'
S'iso01'
S'lat0-sun16'
tsS'Finnish'
p85
(S'fi_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'Swedish (Sweden)'
p86
(S'sv_SE'
S'iso01'
S'lat0-sun16'
tsS'English (Singapore)'
p87
(S'en_SG'
S'iso01'
S'lat0-sun16'
tsS'Dutch (Belgium)'
p88
(S'nl_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Panama)'
p89
(S'es_PA'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Venezuela)'
p90
(S'es_VE'
S'iso01'
S'lat0-sun16'
tsS'English (Great Britain)'
p91
(S'en_GB'
S'iso01'
S'lat0-sun16'
tsS'Russian'
p92
(S'ru_RU.koi8r'
S'koi8-u'
S'cyr-sun16'
tsS'Norwegian, Nynorsk (Norway)'
p93
(S'nn_NO'
S'iso01'
S'lat0-sun16'
tsS'English (Zimbabwe)'
p94
(S'en_ZW'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Nicaragua)'
p95
(S'es_NI'
S'iso01'
S'lat0-sun16'
tsS'German (Luxemburg)'
p96
(S'de_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Colombia)'
p97
(S'es_CO'
S'iso01'
S'lat0-sun16'
tsS'Basque (Spain)'
p98
(S'eu_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Qatar)'
p99
(S'ar_QA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Egypt)'
p100
(S'ar_EG'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Belgium)'
p101
(S'fr_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'English (Ireland)'
p102
(S'en_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Hungarian'
p103
(S'hu_HU'
S'iso02'
S'lat2-sun16'
tsS'Arabic (Tunisia)'
p104
(S'ar_TN'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Luxemburg)'
p105
(S'fr_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Japanese'
p106
(S'ja_JP.eucJP'
S'iso01'
S'lat0-16'
tsS'Swedish (Finland)'
p107
(S'sv_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Saudi Arabia)'
p108
(S'ar_SA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Dominican Republic)'
p109
(S'es_DO'
S'iso01'
S'lat0-sun16'
tsS'French (Canada)'
p110
(S'fr_CA'
S'iso01'
S'lat0-sun16'
tsS'English (Canada)'
p111
(S'en_CA'
S'iso01'
S'lat0-sun16'
tsS'German (Germany)'
p112
(S'de_DE@euro'
S'iso15'
S'lat0-sun16'
tsS'Slovenian (Slovenia)'
p113
(S'sl_SI'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Uruguay)'
p114
(S'es_UY'
S'iso01'
S'lat0-sun16'
tsS'German (Switzerland)'
p115
(S'de_CH'
S'iso01'
S'lat0-sun16'
tsS'English (Hong Kong)'
p116
(S'en_HK'
S'iso01'
S'lat0-sun16'
tsS'English (Australia)'
p117
(S'en_AU'
S'iso01'
S'lat0-sun16'
tsS'Catalan (Spain)'
p118
(S'ca_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Puerto Rico)'
p119
(S'es_PR'
S'iso01'
S'lat0-sun16'
tsS'Turkish'
p120
(S'tr_TR'
S'iso09'
S'lat5-sun16'
tsS'Estonian'
p121
(S'et_EE'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Sudan)'
p122
(S'ar_SD'
S'iso06'
S'LatArCyrHeb-16'
tsS'Icelandic'
p123
(S'is_IS'
S'iso01'
S'lat0-sun16'
tsS'English (Botswana)'
p124
(S'en_BW'
S'iso01'
S'lat0-sun16'
tsS'Manx Gaelic (Britain)'
p125
(S'gv_GB'
S'iso01'
S'lat0-sun16'
tssS'allSupportedLangs'
p126
(lp127
g48
ag84
ag52
ag31
ag100
ag27
ag81
ag28
ag22
ag25
ag50
ag26
ag99
ag108
ag122
ag78
ag104
ag61
ag19
ag98
ag118
ag55
ag60
ag32
ag79
ag54
ag88
ag44
ag117
ag124
ag111
ag43
ag91
ag116
ag102
ag58
ag51
ag87
ag29
ag66
ag94
ag121
ag56
ag85
ag101
ag110
ag33
ag105
ag30
ag57
ag62
ag83
ag112
ag96
ag115
ag38
ag34
ag65
ag103
ag123
ag53
ag80
ag21
ag82
ag106
ag35
ag75
ag24
ag125
ag49
ag93
ag73
ag71
ag47
ag63
ag92
ag46
ag45
ag74
ag113
ag20
ag59
ag77
ag97
ag42
ag109
ag39
ag72
ag23
ag41
ag37
ag95
ag89
ag64
ag40
ag119
ag76
ag70
ag114
ag90
ag107
ag86
ag120
ag36
asS'info'
p128
(dp129
S'SYSFONT'
p130
g69
sS'SUPPORTED'
p131
S'en_US:en'
p132
sS'SYSFONTACM'
p133
g68
sS'LANG'
p134
g67
ssS'supported'
p135
(lp136
S'English (USA)'
asS'default'
p137
S'English (USA)'
p138
sbsS'instClass'
p139
(iworkstation
InstallClass
(dp140
S'rootPasswordCrypted'
p141
I0
sS'raidList'
p142
(lsS'nameserver'
p143
S''
sS'x'
NsS'rootPassword'
p144
NsS'makeBootdisk'
p145
I1
sS'installType'
p146
NsS'postScript'
p147
NsS'earlySwapOn'
p148
I0
sS'networkDevice'
p149
NsS'fstab'
p150
(lsS'clearText'
p151
NsS'lilo'
p152
(S'mbr'
p153
I1
S''
tsg15
NsS'name'
p154
S''
sS'postInChroot'
p155
I0
sS'pixmap'
p156
S''
sS'partitions'
p157
(lp158
(S'/boot'
p159
(I48
I-1
I0
t(S''
I-1
I0
t(I0
I0
tNta(S'/'
(I1100
I-1
I1
t(S''
I-1
I0
t(I0
I0
tNta(S'swap'
p160
(I96
I192
I1
t(S''
I-1
I0
t(I0
I0
tNtasS'clearType'
p161
S'wkst'
p162
sS'gateway'
p163
S''
sS'mouse'
p164
NsS'packages'
p165
NsS'timezone'
p166
NsS'zeroMbr'
p167
I0
sS'keyboard'
p168
NsS'groups'
p169
(lp170
S'Workstation Common'
p171
asS'bootProto'
p172
NsS'netmask'
p173
S''
sS'langdefault'
p174
NsS'skipSteps'
p175
(dp176
S'authentication'
p177
I1
sg152
I1
sS'format'
p178
I1
ssS'auth'
p179
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsS'hostname'
p180
S'localhost.localdomain'
p181
sS'langsupported'
p182
NsS'showgroups'
p183
(lp184
S'KDE'
p185
a(I1
S'GNOME'
p186
taS'Games'
p187
asS'ip'
p188
S''
sS'firewall'
p189
(I-1
I1
(lp190
S''
I0
I0
I0
I0
I0
I0
tsS'defaultRunlevel'
p191
NsS'desktop'
p192
S''
sS'clearPartText'
p193
S'Automatic partitioning will erase any preexisting Linux installations on 
your system.'
p194
sS'clearParts'
p195
I2
sbsS'bdstate'
p196
S''
sS'extraModules'
p197
(lp198
sS'rootpassword'
p199
NsS'fdDevice'
p200
S'fd0'
p201
sS'installSystem'
p202
I1
sS'comps'
p203
NsS'verifiedState'
p204
(lp205
((icomps
Package
p206
(dp207
S'size'
p208
I548864
sS'chains'
p209
(lp210
(lp211
(icomps
Component
p212
(dp213
S'includes'
p214
(lsg154
S'Everything'
p215
sS'hidden'
p216
I0
sg137
I0
sS'pkgs'
p217
(lp218
g206
a(icomps
Package
p219
(dp220
g208
I327680
sg209
(lp221
(lp222
(icomps
Component
p223
(dp224
g214
(lp225
(icomps
Component
p226
(dp227
g214
(lsg154
S'Printer Support'
p228
sg216
I0
sg137
I1
sg217
(lp229
(icomps
Package
p230
(dp231
g208
I5685248
sg209
(lp232
(lp233
g226
aa(lp234
g212
aasS'selected'
p235
I1
sS'h'

<failed>
Comment 1 Brent Fox 2001-08-10 12:02:33 EDT
Can you look on VC3 and VC4 and see if there are any errors?
Comment 2 Brent Fox 2001-08-20 09:52:31 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.